/***************************************************************************
                          ccreature.h  -  description
                             -------------------
    begin     : Tue Oct 31 2000
    copyright : (C) 2000 by Michael Andreen
    email     : whale@linux.nu
    changes   :
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CCREATURE_H
#define CCREATURE_H

//QT includes
#include <qobject.h>
#include <qfile.h>
/**This class is the base class for every creature; living, undead and so on.
	This will probably be the only class for creaturs in the end.
  *@author Michael Andreen
  *@short Class for creatures; Humans, monsters and so on.
  */
class CCreature : public QObject
{
Q_OBJECT
public:
	/** Create an empty CCreature object */
	CCreature();
	/** Load a creature from file. The only thing it does is calling
	 		the memberfunction load(QString *filename)
	  @param filename The path to the file that holds the creature
	 */
	CCreature(QString *filename);
	/**Create a creature (probably a npc) with randomized attributes
	   @param race i.e: Human, Elf
	   @param profession e.g: Warrior, thief
	   @param level defines how good the creature are, e.g: 0=not good at all.
	 */
	CCreature(QString race, QString profession, int level);
	/** Delete the CCreature object */
	~CCreature();
protected:
	/*
	 * This is the pointer to the first closecombat weapon.
	 */
//	CCloseWeapon*	m_firstCWeapon;
	/*
	 * This is the pointer to the first range weapon.
	 */
//	CRangeWeapon*	m_firstRWeapon;
	/*
	 * This is the pointer to the first container. This hold a linked list with a lot of items.
	 */
//	CContainer*		m_firstContainer;

};

#endif
